import request from "@/utils/request"

/** 交易市场 — 分页列表 */
export function listTradeMarket(query) {
  return request({
    url: "/livestock/tradeMarket/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getTradeMarket(id) {
  return request({
    url: "/livestock/tradeMarket/" + id,
    method: "get"
  })
}

/** 新增 */
export function addTradeMarket(data) {
  return request({
    url: "/livestock/tradeMarket",
    method: "post",
    data
  })
}

/** 修改 */
export function updateTradeMarket(data) {
  return request({
    url: "/livestock/tradeMarket",
    method: "put",
    data
  })
}

/** 删除 */
export function delTradeMarket(ids) {
  return request({
    url: "/livestock/tradeMarket/" + ids,
    method: "delete"
  })
}
